(* cocoa.mli     Shared Cocoa Touch definitions
 *
 * Copyright (c) 2011 Psellos   http://psellos.com
 * Licensed under the MIT license:
 *     http://www.opensource.org/licenses/mit-license.php
 *)

(* Many of the primitive types are most naturally handled as OCaml
 * tuples.  Even in Cocoa they are immutable.
 *)
type point = float * float                    (* x, y *)
type size = float * float                     (* w, h *)
type rect = float * float * float * float     (* x, y, w, h *)
